Package org.apache.wiki.render

## Class CreoleRenderer

- java.lang.Object
- - org.apache.wiki.render.WikiRenderer
  - - org.apache.wiki.render.CreoleRenderer

    public class CreoleRenderer
    extends WikiRenderer

Implements DOM-to-Creole rendering.

FIXME: This class is not yet completely done.

### Field Summary

### Fields inherited from class org.apache.wiki.render.WikiRenderer

`LINKS_SOURCE, LINKS_TRANSLATION, m_context, m_document`

### Constructor Summary

Constructors
`CreoleRenderer​(Context ctx, WikiDocument doc)` Creates a new Creole Renderer.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getString()` Renders and returns the end result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreoleRenderer

    public CreoleRenderer​(Context ctx,
                          WikiDocument doc)

Creates a new Creole Renderer.

### Method Detail

#### getString

    public java.lang.String getString()

Renders and returns the end result.

Specified by:
  `getString` in class `WikiRenderer`
Returns:
  A rendered string.